lp:ubuntu/trusty/nettle

Created by Ubuntu Package Importer on 2013-10-19 and last modified on 2013-10-19
Get this branch:
bzr branch lp:ubuntu/trusty/nettle
Members of Ubuntu branches can upload to this branch. Log in for directions.

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

15. By Magnus Holmgren on 2013-05-29

New upstream bugfix release.

14. By Magnus Holmgren on 2013-05-07

Tag some (ECC related) symbols that only exist on some architectures.

13. By Magnus Holmgren on 2012-11-16

* Add postinst script that replaces old documentation directory (from
  before 1.15-4) in nettle-bin with symlink (Closes: #692950).
* Spell check package descriptions (Closes: #680627). Thanks to Filipus
  Klutiero.

12. By Magnus Holmgren on 2012-06-23

* Drop README.source; not needed since the package was converted to
  format 3.0.
* Correct errors in DEP 5-format debian/copyright.
* Use dpkg-buildflags to set CFLAGS et al.
* Bump Standards-Version to 3.9.3.

11. By Magnus Holmgren on 2011-09-03

New upstream bugfix release.

10. By Magnus Holmgren on 2011-03-20

* Upload to unstable.
* Increase Debhelper compat level to 7.
* debian/rules: Add build-indep and build-arch targets.
* debian/copyright: Add entry for dsa2sexp.c.
* No longer suggest lsh-utils-doc as an alternative to lsh-doc.

9. By Matthias Klose on 2011-03-30

Configure with --disable-assembler for natty to fix a FTBFS. Should
be revisited with 2.1 in the o-series.

8. By Magnus Holmgren on 2009-10-11

* rsa2sexp_algorithm_name.dpatch (new): Use a default algorithm name
  that LSH understands in the sexp representation of an RSA key, so that
  pkcs1-conv can be used to convert existing OpenSSH private keys.
* debian/control: Add ${misc:Depends} to all packages lacking it.
* debian/control: nettle-dev: Depend on dpkg (>= 1.15.4) | install-info
  as recommended for the transition to triggerized install-info.
* Upgraded to Standards-Version 3.8.3 with the previous change.

7. By Magnus Holmgren on 2009-08-02

* Merge with experimental branch.
  - There was no lsh-utils 2.0.3-2 in Debian, so the conflict is with
    lsh-utils < 2.0.4-dfsg-1.
  - Drop the transitional libnettle-dev package that was in experimental.
    Due to the split, depending packages will need sourceful uploads anyway.
* New upstream version.
  - Drop 30_sparc_aes_include.dpatch; incorporated upstream.
* Add debug package.
* nettle-dev.doc-info: Correct Section and Document.
* Bump Standards-Version to 3.8.2.

6. By Magnus Holmgren on 2009-04-13

* No longer install sexp-conv as an alternative; conflict with lsh-utils
  prior to 2.0.4-dfsg-1, which depends on nettle-bin instead of shipping
  a copy of sexp-conv (Closes: #510942). Drop nettle-bin.postinst and
  nettle-bin.prerm (nettle-bin.prerm will remove the alternative on
  upgrade, which is actually a bug, but works out fine in this case).
* Switch to Debhelper level 5. Remove files that don't exist from install
  lists (copied from a template, apparently).
* Upgrade to Standards-Version 3.8.1:
  + Add debian/README.source (ยง 4.9).
* Add debian/libnettle2.symbols.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/utopic/nettle
This branch contains Public information 
Everyone can see this information.

Subscribers